LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-27-2005, 03:28 PM   #1
nick623
Member
 
Registered: Dec 2004
Distribution: Fedora, Ubuntu
Posts: 83

Rep: Reputation: 15
another configure error


I've been trying to compile the KDirStat package for about 5 days now. This is my first effort at compiling a package. My first configure error was because I didn't install the KDE and X Window System development tools. After a few rpm depency issues I finally installed these devlopment tools. Now when I ./configure the KDirStat package I get this message:

configure error: Qt(>=Qt3.3) (library qt-mt) not found. Make sure that you have compiled Qt with thread support!

Do I need a newer version of Qt. My version is qt-3.1.1-6. My distro is Redhat 9. I've tried up2date on Qt but it says I have the latest version. I've googled a bit and have found later versions of the qt package but all so far have been for Fedora.

Well, I can at least say this has been a real learning experience.!

If anyone could give me any suggestions I would really appreciate it.

Thanks!
 
Old 05-27-2005, 04:28 PM   #2
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 75
Redhat 9 is quite outdated, so if you are trying to compile new software you will experience many problems with dependencies. Unfortunately there are no more updates or support from Redhat for version 9 and below, so you may want to switch to Fedora Core 3 or Fedora Core 4 (which is being releaed on the 6th of June). Fedora Core and Redhat Enterprise Linux are the distriutions that replaced the old Redhat Linux.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
server-error-internal-error with CUPS "Configure Printer" fskmh Slackware 6 06-05-2013 01:51 PM
configure error ELconkestador Linux - Software 3 10-22-2005 09:35 PM
ardour wont configure: configure: error: C preprocessor "/lib/cpp" fails sanity check disciple061 Linux - Software 4 01-22-2005 12:35 PM
configure: error: when trying to install / configure new software ? met tomfer007 Linux - Software 1 07-25-2004 03:52 PM
error in ./configure chrismiceli Linux - General 3 08-04-2002 04:56 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 11:56 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration